Upstream information

CVE-2021-32734 at MITRE

Description

Nextcloud Server is a Nextcloud package that handles data storage. In versions prior to 19.0.13, 20.011, and 21.0.3, the Nextcloud Text application shipped with Nextcloud Server returned verbatim exception messages to the user. This could result in a full path disclosure on shared files. The issue was fixed in versions 19.0.13, 20.0.11, and 21.0.3. As a workaround, one may disable the Nextcloud Text application in Nextcloud Server app settings.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact None
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1188255 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub 12
  • nextcloud >= 20.0.11-28.1
  • nextcloud-apache >= 20.0.11-28.1
Patchnames:
openSUSE-2021-1068
SUSE Package Hub 15 SP1
  • nextcloud >= 20.0.11-bp151.3.15.1
  • nextcloud-apache >= 20.0.11-bp151.3.15.1
Patchnames:
openSUSE-2021-1068
SUSE Package Hub 15 SP2
  • nextcloud >= 20.0.11-bp152.2.9.1
  • nextcloud-apache >= 20.0.11-bp152.2.9.1
Patchnames:
openSUSE-2021-1068
SUSE Package Hub 15 SP3
  • nextcloud >= 20.0.11-bp153.2.3.1
  • nextcloud-apache >= 20.0.11-bp153.2.3.1
Patchnames:
openSUSE-2021-1068
openSUSE Leap 15.2
  • nextcloud >= 20.0.11-lp152.3.9.1
  • nextcloud-apache >= 20.0.11-lp152.3.9.1
Patchnames:
openSUSE-2021-1068
openSUSE Leap 15.3
  • nextcloud >= 20.0.11-bp153.2.3.1
  • nextcloud-apache >= 20.0.11-bp153.2.3.1
Patchnames:
openSUSE-2021-1068